Public Member Functions | Data Fields

# LinkGraph::BaseEdge Struct Reference

An edge in the link graph. More...

`#include <linkgraph.h>`

## Public Member Functions
void | Init (uint distance=0)
| Create an edge.
## Data Fields
uint | distance
| Length of the link.
uint | capacity
| Capacity of the link.
uint | usage
| Usage of the link.
Date | last_unrestricted_update
| When the unrestricted part of the link was last updated.
Date | last_restricted_update
| When the restricted part of the link was last updated.
NodeID | next_edge
| Destination of next valid edge starting at the same source node.

## Detailed Description

An edge in the link graph.

Corresponds to a link between two stations or at least the distance between them. Edges from one node to itself contain the ID of the opposite Node of the first active edge (i.e. not just distance) in the column as next_edge.

Definition at line 78 of file linkgraph.h.

## Member Function Documentation

void LinkGraph::BaseEdge::Init | ( | uint | distance = `0` | ) | `[inline]`

Create an edge.

Parameters:

  | distance | Length of the link as manhattan distance.

Definition at line 37 of file linkgraph.cpp.

References capacity, INVALID_DATE, last_restricted_update, last_unrestricted_update, next_edge, and usage.

Referenced by LinkGraph::AddNode().

The documentation for this struct was generated from the following files:

- src/linkgraph/linkgraph.h
- src/linkgraph/linkgraph.cpp